Skip to main content
GET
/
api
/
v1
/
analytics
/
evaluations
Distribution of AI evaluations across sentiment, emotion, satisfaction, outcome, escalation, and knowledge gap
curl --request GET \
  --url https://{subdomain}.mihu.ai/api/v1/analytics/evaluations \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{subdomain}.mihu.ai/api/v1/analytics/evaluations"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{subdomain}.mihu.ai/api/v1/analytics/evaluations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "meta": {},
  "total_evaluated": 123,
  "sentiment": {},
  "emotion": {},
  "satisfaction": {},
  "outcome": {},
  "human_escalation": {},
  "knowledge_gap": {},
  "previous": {}
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"

Query Parameters

from
string<date-time>
required
to
string<date-time>
required
compare_prev
boolean
default:false
granularity
enum<string>
default:total
Available options:
total
channel
string
Example:

"call,whatsapp"

agent_uuid
string<uuid>
campaign_uuid
string<uuid>

Response

OK

meta
object
total_evaluated
integer
sentiment
object
emotion
object
satisfaction
object

Includes avg_score_1_5 mapped from Very Dissatisfied=1 .. Very Satisfied=5

outcome
object
human_escalation
object
knowledge_gap
object
previous
object | null